Cowdidocs

Get installments for an account

Retrieves the installment schedule for a lending account (term loan or revolving credit)

GET
/v1/accounts/{accountId}/installments

Path Parameters

accountId*string

Account ID

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/accounts/550e8400-e29b-41d4-a716-446655440000/installments"
{  "installments": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "position": 1,      "status": "PENDING",      "amount": 5000,      "paid_amount": 3000,      "waived_amount": 500,      "written_off_amount": 1000,      "outstanding_amount": 2000,      "currency": "KES",      "due_date": "2025-02-15",      "original_due_date": "2025-01-15",      "is_amount_locked": false,      "paid_at": "2019-08-24T14:15:22Z",      "breakdown": {        "principal_amount": 4000,        "interest_amount": 1000,        "principal_paid_amount": 3000,        "interest_paid_amount": 500,        "interest_waived_amount": 500,        "principal_written_off_amount": 2000,        "interest_written_off_amount": 500,        "arrears_written_off_amount": 1000,        "installment_principal_amount": 4000,        "installment_interest_amount": 1000      },      "resource_id": "string",      "installment_number": 1,      "installment_amount": 5000    }  ]}
{  "code": "BAD_REQUEST",  "description": "Bad Request"}
{  "code": "UNAUTHORISED",  "description": "Unauthorised"}
{  "code": "WAITING_LIST",  "description": "User is in the waiting list"}
{  "code": "BAD_REQUEST",  "description": "Invalid input"}
{  "code": "TOO_MANY_REQUESTS",  "description": "Too Many Requests"}
{  "code": "INTERNAL_SERVER_ERROR",  "description": "Internal Server Error"}